import pika
import sys

connection = pika.BlockingConnection(pika.ConnectionParameters(host='localhost'))
channel = connection.channel()

channel.exchange_declare(exchange='KlementevaLogs', exchange_type='fanout')

message = ' '.join(sys.argv[1:]) or "My name is Zhanna Klementeva from ISEbd-41!"
channel.basic_publish(exchange='KlementevaLogs', routing_key='', body=message)
print(f" [x] Отправлено сообщение: {message}")
connection.close()